/* ==============================================
   Buttons
   ============================================== */
.btn {
    padding: 0.75rem 1rem;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    font-size: 0.9rem;
    font-weight: 500;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    transition: all var(--transition-speed);
    background-color: var(--bg-tertiary);
    color: var(--text-primary);
    border: 1px solid var(--border-color);
}

.btn:hover {
    background-color: var(--border-color);
}

.btn-primary {
    background-color: var(--accent-green);
    color: white;
    border-color: var(--accent-green);
    width: 100%;
    font-weight: 1000;
}

.btn-primary:hover {
    background-color: #4cc263;
}

.btn-icon {
    width: 36px;
    height: 36px;
    padding: 0;
    border-radius: 50%;
}

.btn-danger {
    background-color: var(--accent-orange);
    color: white;
    border-color: var(--accent-orange);
    font-weight: 1000;
}

.btn-danger:hover {
    background-color: #f9716b;
    border-color: #f9716b;
}

.btn-selector {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    justify-content: space-between;
    padding: 0.75rem 1rem;
    width: 100%;
    box-sizing: border-box;
}

.item-selector-icon {
    width: 20px;
    height: 20px;
    border-radius: 2px;
    object-fit: cover;
    margin-right: 0.5rem;
    flex-shrink: 0;
}

#item-selector-btn {
    display: flex;
    align-items: center;
    padding: 0.75rem 1rem;
    width: 100%;
    box-sizing: border-box;
}

#item-selector-btn i {
    margin-right: 0.5rem;
    flex-shrink: 0;
}

#selected-item-name {
    flex: 1;
    text-align: left;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

#selected-item-name {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    max-width: 80%;
}

#github-btn {
    text-decoration: none;
}

#menu-toggle-btn {
    display: none;
}